aboutsummaryrefslogtreecommitdiff
path: root/bin/rgl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/rgl.sh')
-rw-r--r--bin/rgl.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/bin/rgl.sh b/bin/rgl.sh
new file mode 100644
index 00000000..630d38b6
--- /dev/null
+++ b/bin/rgl.sh
@@ -0,0 +1,34 @@
+# Read grep(1) patterns from input and search for them in the given files
+self=rgl
+
+# Check the arguments
+if [ "$#" -eq 0 ] ; then
+ printf >&2 '%s: Need at least one filename\n' "$self"
+ exit 2
+fi
+
+# Iterate over the patterns and search for each one
+while {
+
+ # If the input is a terminal, print a slash prompt for the next pattern;
+ # try to print it in bold red, too, but discard stderr if we can't
+ if [ -t 0 ] ; then
+ tput setaf 1 || tput setaf 1 0 0 || tput AF 1 || tput AF 1 0 0
+ tput bold || tput md
+ printf '%s/' "$self"
+ tput sgr0 || tput me
+ fi 2>/dev/null
+
+ # Read the pattern
+ IFS= read -r pat
+
+} ; do
+
+ # Run grep(1) with the read pattern over the arguments
+ grep -- "$pat" "$@"
+done
+
+# Print a newline if this was a terminal to clear the prompt
+if [ -t 0 ] ; then
+ printf '\n'
+fi